summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_packageslists
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:48 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:18:28 +0100
commit799d4bfb31c279b72088c8ee8a16c2710ab8a309 (patch)
tree4bbc1758ceaa46c5e81fe9d66ccdaacfec047ef8 /helpers/lh_chroot_packageslists
parent677415f6d7efc1e5b888570d70af311d2900c69c (diff)
downloadlive-build-799d4bfb31c279b72088c8ee8a16c2710ab8a309.zip
live-build-799d4bfb31c279b72088c8ee8a16c2710ab8a309.tar.gz
Adding live-helper 1.0~a3-1.
Diffstat (limited to 'helpers/lh_chroot_packageslists')
-rwxr-xr-xhelpers/lh_chroot_packageslists75
1 files changed, 75 insertions, 0 deletions
diff --git a/helpers/lh_chroot_packageslists b/helpers/lh_chroot_packageslists
new file mode 100755
index 0000000..3dfda53
--- /dev/null
+++ b/helpers/lh_chroot_packageslists
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# lh_chroot_packageslists(1) - install packages lists into chroot
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="install packages lists into chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/chroot
+Set_defaults
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_packageslists
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if [ -n "${LIVE_PACKAGES_LISTS}" ]
+then
+ # Restoring cache
+ Restore_cache cache/chroot_packageslists
+
+ for LIST in ${LIVE_PACKAGES_LISTS}
+ do
+ if [ -f /usr/share/live-helper/lists/"${LIST}" ]
+ then
+ # Copying package list
+ grep -v "^#" /usr/share/live-helper/lists/"${LIST}" > chroot/root/"${LIST}"
+
+ # Installing package list
+ case "${LH_APT}" in
+ apt|apt-get)
+ Chroot "xargs --arg-file=/root/${LIST} apt-get install --yes"
+ ;;
+
+ aptitude)
+ Chroot "xargs --arg-file=/root/${LIST} aptitude install --assume-yes"
+ ;;
+ esac
+
+ # Removing package list
+ rm -f chroot/root/"${LIST}"
+ fi
+ done
+
+ # Saving cache
+ Save_cache cache/chroot_packageslists
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_packageslists
+fi